FreeBSD : nut -- upsd can be remotely crashed (47f13540-c4cb-4971-8dc6-28d0dabfd9cd)

This script is Copyright (C) 2012-2013 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

Networkupstools project reports :

NUT server (upsd), from versions 2.4.0 to 2.6.3, are exposed to
crashes when receiving random data from the network.

This issue is related to the way NUT parses characters, especially
from the network. Non printable characters were missed from strings
operation (such as strlen), but still copied to the buffer, causing an
overflow.

See also :

http://www.nessus.org/u?20889643
http://trac.networkupstools.org/projects/nut/changeset/3633
http://www.nessus.org/u?7854adc0

Solution :

Update the affected package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 59313 ()

Bugtraq ID:

CVE ID: CVE-2012-2944

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now